Index: /branches/network/src/defs/debug.h
===================================================================
--- /branches/network/src/defs/debug.h	(revision 5832)
+++ /branches/network/src/defs/debug.h	(revision 5833)
@@ -107,5 +107,5 @@
 #endif
 #ifndef NO_SHELL
-#define PRINT_EXEC       ShellBuffer::addBufferLineStatic
+#define PRINT_EXEC       printf //ShellBuffer::addBufferLineStatic
 #else /* NO_SHELL */
 #define PRINT_EXEC       printf
Index: /branches/network/src/lib/network/network_stream.cc
===================================================================
--- /branches/network/src/lib/network/network_stream.cc	(revision 5832)
+++ /branches/network/src/lib/network/network_stream.cc	(revision 5833)
@@ -44,4 +44,5 @@
   this->init();
   /* initialize the references */
+  this->type = NET_CLIENT;
   this->networkSocket = new NetworkSocket();
   this->networkProtocol = new NetworkProtocol();
@@ -52,4 +53,5 @@
 NetworkStream::NetworkStream(IPaddress& address, NodeType type)
 {
+  this->type = type;
   this->init();
   this->networkSocket = new NetworkSocket(address);
@@ -62,4 +64,5 @@
 NetworkStream::NetworkStream(unsigned int port, NodeType type)
 {
+  this->type = type;
   this->init();
   this->networkSocket = new NetworkSocket();
@@ -74,4 +77,5 @@
     : DataStream()
 {
+  this->type = type;
   this->init();
   this->networkSocket = new NetworkSocket(address);
@@ -86,4 +90,5 @@
     : DataStream()
 {
+  this->type = type;
   this->init();
   this->networkSocket = new NetworkSocket();
@@ -134,6 +139,6 @@
   PRINT(0)("============= DOWNSTREAM:===============\n");
   /* first of all read the synchronizeable's data: */
-  //if(this->isServer())
-  dataLength = this->synchronizeables->readBytes((byte*)downBuffer);
+  if( this->isServer())
+    dataLength = this->synchronizeables->readBytes((byte*)downBuffer);
 
   if( dataLength > 0)
@@ -181,10 +186,10 @@
     if( dataLength == this->packetHeader.length)
     {
-      printf("NetworkStream::processData() - Got Data: \n");
+      printf("NetworkStream::processData() - Got Data: %i bytes\n", dataLength);
       /* send the received data to connectionMonitor */
       this->connectionMonitor->processPacket((byte*)upBuffer, this->packetHeader.length);
       /* now pass the data to the sync object */
-      //if(!this->isServer())
-      this->synchronizeables->writeBytes((byte*)upBuffer, this->packetHeader.length);
+      if( !this->isServer())
+        this->synchronizeables->writeBytes((byte*)upBuffer, this->packetHeader.length);
 
       this->state = NET_REC_HEADER;
Index: /branches/network/src/world_entities/player.cc
===================================================================
--- /branches/network/src/world_entities/player.cc	(revision 5832)
+++ /branches/network/src/world_entities/player.cc	(revision 5833)
@@ -445,5 +445,5 @@
 void Player::writeBytes(const byte* data, int length)
 {
-  PRINTF(0)("Player: got %i bytes of data\n", length);
+ // PRINTF(0)("Player: got %i bytes of data\n", length);
   this->inLength = length;
 
@@ -476,27 +476,18 @@
   for( int i = 0; i < length; i++)
   {
+    
     code = data[i];
 
+    //PRINTF(0)("got byte: %u\n", data[i]);
     /* is it a time code? */
     if( code == TIME)
     {
       /* is it the first time */
-      if( time > 0.0f )
-      {
-        /* apply movement */
-        Vector move = accel * time;
-
-        if (accel.z < 0)
-          this->setRelDirSoft(Quaternion(-.4, Vector(1,0,0)), 5);
-        else if (accel.z > 0)
-          this->setRelDirSoft(Quaternion(.4, Vector(1,0,0)), 5);
-        else
-          this->setRelDirSoft(Quaternion(0, Vector(1,0,0)), 5);
-        this->shiftCoor (move);
-      }
+     
       /* read out new movement */
       time = (float)(data[++i] / 100.0f);
-      PRINTF(0)("Got time: %f msec\n", time);
+      //PRINTF(0)("Got time: %f msec\n", time);
     }
+    
     else if( code == UP && this->getRelCoor().x < 20)
       accel = accel+(direction*acceleration);
@@ -507,6 +498,22 @@
     else if( code == RIGHT && TrackManager::getInstance()->getWidth() > this->getRelCoor().z*2)
       accel = accel + (orthDirection*acceleration);
-  }
-
+  
+    if( time > 0.0f )
+    {
+      /* apply movement */
+      Vector move = accel * time;
+
+      if (accel.z < 0)
+        this->setRelDirSoft(Quaternion(-.4, Vector(1,0,0)), 5);
+      else if (accel.z > 0)
+        this->setRelDirSoft(Quaternion(.4, Vector(1,0,0)), 5);
+      else
+        this->setRelDirSoft(Quaternion(0, Vector(1,0,0)), 5);
+      this->shiftCoor (move);
+    }
+
+  }
+
+  
 
 
@@ -522,5 +529,5 @@
 int Player::readBytes(byte* data)
 {
-  PRINTF(0)("Player: sent %i bytes of data\n", this->sentLength);
+ // PRINTF(0)("Player: sent %i bytes of data\n", this->sentLength);
 
   /* copy data */
